Bug 1599442 - RFE: ceph-objectstore-tool backport "split filestore directories offline to target hash level" to 3.x
Summary: RFE: ceph-objectstore-tool backport "split filestore directories offline to t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: 3.2
Assignee: David Zafman
QA Contact: Parikshith
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2018-07-09 20:29 UTC by tbrekke
Modified: 2019-01-03 19:01 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-12.2.8-2.el7cp Ubuntu: ceph_12.2.8-3redhat1
Doc Type: Enhancement
Doc Text:
.Offline splitting FileStore directories to a target hash level is now supported The `ceph-objectstore-tool` utility now supports splitting FileStore directories to a target hash level.
Clone Of:
Environment:
Last Closed: 2019-01-03 19:01:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 21366 None None None 2018-07-09 20:43:14 UTC
Ceph Project Bug Tracker 35846 None None None 2018-09-14 23:10:08 UTC
Red Hat Product Errata RHBA-2019:0020 None None None 2019-01-03 19:01:39 UTC

Description tbrekke 2018-07-09 20:29:10 UTC
Description of problem:

Currently offline splitting does not let you set the target level, this would be helpful to split the directories before the cluster needs to do it. Currently exists in Mimic, but not Luminous.

https://github.com/ceph/ceph/pull/17666/commits/e71659b11a54ea3abdb047d2ec480bd855acee4a

Comment 18 errata-xmlrpc 2019-01-03 19:01:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0020


Note You need to log in before you can comment on or make changes to this bug.